Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05068 Crash/Freeze Critical (emulator) Always Nov 28, 2012, 01:47 Jan 2, 2013, 20:10
Tester Tafoid View Status Public Platform MESS (Self-compiled)
Assigned To Firewave Resolution Fixed OS Windows XP
Status [?] Resolved Driver apollo.cpp
Version 0.147u3 Fixed in Version 0.148 Build Debug
Summary MESS-specific 05068: All sets in apollo.c: [debug] Assert: src/emu/render.c, Line 2466
Description
File: src/emu/render.c, Line 2466
Expression: m_live_textures == 0

Also seen in:
pippin - macpci.c
osc1000b - tmc1800.c
x168, x820ii - xerox820.c
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version
Affected Sets / Systems All sets in apollo.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.09191
Firewave
Senior Tester
Jan 1, 2013, 17:14
edited on: Jan 1, 2013, 17:16
Please create separate entries for these. They are all different issues. In r19992 I fixed an errorhandling bug causing different errors now

apollo.c
Error performing a late bind of type class omti8621_device to class pc_fdc_at_device

x168, x820ii
Error performing a late bind of type class fd1797_t to class fd1771_t

pippin and osc1000b are the same.
User avatar
No.09192
Firewave
Senior Tester
Jan 1, 2013, 17:44
More errorhandling improvements in r19994

pippin
Error: bad downcast<> or device<>.  Tried to convert a class macpci_state to a class mac_state, which are incompatible.

osc1000b
Error: bad downcast<> or device<>.  Tried to convert a class osc1000b_state to a class tmc1800_state, which are incompatible.
User avatar
No.09197
wilbert
Developer
Jan 2, 2013, 19:41
tmc1800 and osc1000b have no known dumped rome, disabling those drivers altogether.
User avatar
No.09198
Firewave
Senior Tester
Jan 2, 2013, 19:52
Still fixed the osc1000b issue in r20019.

All issues in this report are now resolved and it can be closed.